Summary:	ALSA driver C++ access library
Summary(pl.UTF-8):	Biblioteka dostępu do sterowników ALSA w C++
Name:		clalsadrv
Version:	2.0.0
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	be123e1701e4b6c6300907df949bd71c
URL:		http://kokkinizita.linuxaudio.org/linuxaudio/
BuildRequires:	alsa-lib-devel
BuildRequires:	clthreads-devel >= 2.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	sed >= 4.0
Requires:	clthreads >= 2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
clalsadrv library allows to access ALSA sound card drivers in a C++
based program.

%description -l pl.UTF-8
Biblioteka clalsadrv pozwala na dostęp do sterownika karty dźwiękowej
z poziomu programu napisanego w C++.

%package devel
Summary:	Header files for clalsadrv library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki clalsadrv
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel
Requires:	libstdc++-devel

%description devel
Header files for clalsadrv library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki clalsadrv.

%prep
%setup -q

%{__sed} -i -e 's/ldconfig /ldconfig -n $(DESTDIR)/' libs/Makefile

%build
%{__make} -C libs \
	CXX="%{__cxx}" \
	CPPFLAGS="%{rpmcxxflags} %{rpmcppflags} -fPIC -I. -D_REENTRANT -D_POSIX_THREAD_SEMANTICS -Wall"

ln -sf libclalsadrv.so.2.0.0 libs/libclalsadrv.so

LDLIBS="-lasound" \
%{__make} -C apps \
	CXX="%{__cxx}" \
	CPPFLAGS="%{rpmcxxflags} %{rpmcppflags} -I../libs -DVERSION=\"%{version}\" -Wall" \
	LDFLAGS="%{rpmldflags} -L../libs"

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

%{__make} -C libs install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib}

%{__make} -C apps install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/alsa-latency
%attr(755,root,root) %{_bindir}/alsa-loopback
%attr(755,root,root) %{_libdir}/libclalsadrv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclalsadrv.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclalsadrv.so
%{_includedir}/clalsadrv.h
%changelog
* Thu Dec 28 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/clalsadrv.git;a=log;h=master

* Thu Dec 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 092c800
- clthreads version

* Thu Dec 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 1db7ad8
- updated to 2.0.0

* Thu Dec 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 1383c58
- updated URLs, verbose files

* Fri Jun 04 2010 Elan Ruusamäe <glen@pld-linux.org> bd629b7
- adapter

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 75d7315
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 13e5d11
- converted to UTF-8

* Sun Jun 26 2005 freetz <freetz@pld-linux.org> ad68369
- fixed alien intervention

* Sun Jun 26 2005 freetz <freetz@pld-linux.org> 427f9e4
- more informative descriptions

* Sun Jun 26 2005 Jakub Bogusz <qboosh@pld-linux.org> 4086947
- use optflags, install fix
- added missing .so symlink to -devel
- removed COPYING from doc (just GPL text)

* Sat Jun 25 2005 darekr <darekr@pld-linux.org> c2208f4
- BR: libstdc++-devel

* Thu Jun 23 2005 blekot <blekot@pld-linux.org> 3cc1b38
- {%post,%postun}   -p /sbin/ldconfig added

* Thu Jun 23 2005 blekot <blekot@pld-linux.org> fa27147
- init
- required for alsa-modular-synth

